﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
	<title>Flex</title>
	<style>
	main{
		width:700px;
	}
	header{
		background-color:red;
		height:60px;
		display:flex;
	}
	.hizq{
		background-color:maroon;
		display:flex;
		flex:2;
		margin:8px;
	}
	.hder{
		background-color:maroon;
		display:flex;
		flex:1;
		margin:8px;
	}
	.medio{
		background-color:aqua;
		height:200px;
		display:flex;
	}
	.mizq{
		background-color:navy;
		display:flex;
		flex:1;
		margin:8px;
	}
	.mder{
		background-color:navy;
		display:flex;
		flex:1;
		flex-direction:column;
		margin:8px;
	}
	.mdersup{
		background-color:teal;
		display:flex;
		flex:1;
		margin-bottom:8px;
	}
	.mderinf{
		background-color:teal;
		display:flex;
		flex:1;
		margin-top:8px;
	}
	footer{
		background-color:olive;
		height:50px;
		display:flex;
	}
	.fizq{
		background-color:green;
		display:flex;
		flex:1;
		margin:8px;
	}
	.fcentro{
		background-color:green;
		display:flex;
		flex:1;
		margin:8px;
	}
	.fder{
		background-color:green;
		display:flex;
		flex:1;
		margin:8px;
	}
	</style>
</head>

<body>
	<main>
		<header>
			<div class="hizq">1</div>
			<div class="hder">2</div>
		</header>
		<div class="medio">
			<div class="mizq">3</div>
			<div class="mder">
				<div class="mdersup">4</div>
				<div class="mderinf">5</div>
			</div>
		</div>
		<footer>
			<div class="fizq">6</div>
			<div class="fcentro">7</div>
			<div class="fder">8</div>
		</footer>
	</main>
</body>

</html>
